API ReferenceDead letter queue
Reprocess a DLQ entry
Move a DLQ entry back to the delivery queue for retry.
POST
/v1/subscriptions/{subscriptionId}/dlq/{entryId}/reprocessAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Path Parameters
subscriptionId*string
Subscription ID
entryId*string
DLQ entry ID
Response Body
application/json
application/json
application/json
curl -X POST "https://api.npayload.com/v1/subscriptions/string/dlq/string/reprocess"{
"id": "string",
"messageId": "string",
"subscriptionId": "string",
"failedAt": "2019-08-24T14:15:22Z",
"reason": "string",
"attempts": 0,
"payload": {}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Was this page helpful?